org.ajax4jsf.taglib.html.facelets

## Class IncludeFaceletContext

- java.lang.Object
- - javax.el.ELContext
  - - com.sun.facelets.FaceletContext
    - - org.ajax4jsf.taglib.html.facelets.IncludeFaceletContext

-     public class IncludeFaceletContext
      extends com.sun.facelets.FaceletContext

  Author:
    shura

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncludeFaceletContext(com.sun.facelets.FaceletContext defaultContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extendClient(com.sun.facelets.TemplateClient client)`
    `java.lang.String` | `generateUniqueId(java.lang.String base)`
    `java.lang.Object` | `getAttribute(java.lang.String name)`
    `java.lang.Object` | `getContext(java.lang.Class key)`
    `javax.el.ELResolver` | `getELResolver()`
    `javax.el.ExpressionFactory` | `getExpressionFactory()`
    `javax.faces.context.FacesContext` | `getFacesContext()`
    `javax.el.FunctionMapper` | `getFunctionMapper()`
    `java.util.Locale` | `getLocale()`
    `javax.el.VariableMapper` | `getVariableMapper()`
    `int` | `hashCode()`
    `boolean` | `includeDefinition(javax.faces.component.UIComponent parent, java.lang.String name)`
    `void` | `includeFacelet(javax.faces.component.UIComponent parent, java.lang.String relativePath)`
    `void` | `includeFacelet(javax.faces.component.UIComponent parent, java.net.URL absolutePath)`
    `boolean` | `isPropertyResolved()`
    `void` | `popClient(com.sun.facelets.TemplateClient client)`
    `void` | `pushClient(com.sun.facelets.TemplateClient client)`
    `void` | `putContext(java.lang.Class key, java.lang.Object contextObject)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`
    `void` | `setFunctionMapper(javax.el.FunctionMapper fnMapper)`
    `void` | `setLocale(java.util.Locale locale)`
    `void` | `setPropertyResolved(boolean resolved)`
    `void` | `setVariableMapper(javax.el.VariableMapper varMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncludeFaceletContext

          public IncludeFaceletContext(com.sun.facelets.FaceletContext defaultContext)

      Parameters:
        `defaultContext` -

  - ### Method Detail

    - #### extendClient

          public void extendClient(com.sun.facelets.TemplateClient client)

      Specified by:
        `extendClient` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `client` -
      See Also:
        `FaceletContext.extendClient(com.sun.facelets.TemplateClient)`

    - #### generateUniqueId

          public java.lang.String generateUniqueId(java.lang.String base)

      Specified by:
        `generateUniqueId` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `base` -
      Returns:
      See Also:
        `FaceletContext.generateUniqueId(java.lang.String)`

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String name)

      Specified by:
        `getAttribute` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `name` -
      Returns:
      See Also:
        `FaceletContext.getAttribute(java.lang.String)`

    - #### getContext

          public java.lang.Object getContext(java.lang.Class key)

      Overrides:
        `getContext` in class `javax.el.ELContext`
      Parameters:
        `key` -
      Returns:
      See Also:
        `ELContext.getContext(java.lang.Class)`

    - #### getELResolver

          public javax.el.ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getELResolver()`

    - #### getExpressionFactory

          public javax.el.ExpressionFactory getExpressionFactory()

      Specified by:
        `getExpressionFactory` in class `com.sun.facelets.FaceletContext`
      Returns:
      See Also:
        `FaceletContext.getExpressionFactory()`

    - #### getFacesContext

          public javax.faces.context.FacesContext getFacesContext()

      Specified by:
        `getFacesContext` in class `com.sun.facelets.FaceletContext`
      Returns:
      See Also:
        `FaceletContext.getFacesContext()`

    - #### getFunctionMapper

          public javax.el.FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getFunctionMapper()`

    - #### getLocale

          public java.util.Locale getLocale()

      Overrides:
        `getLocale` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getLocale()`

    - #### getVariableMapper

          public javax.el.VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.getVariableMapper()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
      See Also:
        `Object.hashCode()`

    - #### includeDefinition

          public boolean includeDefinition(javax.faces.component.UIComponent parent,
                                  java.lang.String name)
                                    throws java.io.IOException,
                                           com.sun.facelets.FaceletException,
                                           javax.faces.FacesException,
                                           javax.el.ELException

      Specified by:
        `includeDefinition` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `parent` -
        `name` -
      Returns:
      Throws:
        `java.io.IOException`
        `com.sun.facelets.FaceletException`
        `javax.faces.FacesException`
        `javax.el.ELException`
      See Also:
        `FaceletContext.includeDefinition(javax.faces.component.UIComponent, java.lang.String)`

    - #### includeFacelet

          public void includeFacelet(javax.faces.component.UIComponent parent,
                            java.lang.String relativePath)
                              throws java.io.IOException,
                                     com.sun.facelets.FaceletException,
                                     javax.faces.FacesException,
                                     javax.el.ELException

      Specified by:
        `includeFacelet` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `parent` -
        `relativePath` -
      Throws:
        `java.io.IOException`
        `com.sun.facelets.FaceletException`
        `javax.faces.FacesException`
        `javax.el.ELException`
      See Also:
        `FaceletContext.includeFacelet(javax.faces.component.UIComponent, java.lang.String)`

    - #### includeFacelet

          public void includeFacelet(javax.faces.component.UIComponent parent,
                            java.net.URL absolutePath)
                              throws java.io.IOException,
                                     com.sun.facelets.FaceletException,
                                     javax.faces.FacesException,
                                     javax.el.ELException

      Specified by:
        `includeFacelet` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `parent` -
        `absolutePath` -
      Throws:
        `java.io.IOException`
        `com.sun.facelets.FaceletException`
        `javax.faces.FacesException`
        `javax.el.ELException`
      See Also:
        `FaceletContext.includeFacelet(javax.faces.component.UIComponent, java.net.URL)`

    - #### isPropertyResolved

          public boolean isPropertyResolved()

      Overrides:
        `isPropertyResolved` in class `javax.el.ELContext`
      Returns:
      See Also:
        `ELContext.isPropertyResolved()`

    - #### popClient

          public void popClient(com.sun.facelets.TemplateClient client)

      Specified by:
        `popClient` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `client` -
      See Also:
        `FaceletContext.popClient(com.sun.facelets.TemplateClient)`

    - #### pushClient

          public void pushClient(com.sun.facelets.TemplateClient client)

      Specified by:
        `pushClient` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `client` -
      See Also:
        `FaceletContext.pushClient(com.sun.facelets.TemplateClient)`

    - #### putContext

          public void putContext(java.lang.Class key,
                        java.lang.Object contextObject)

      Overrides:
        `putContext` in class `javax.el.ELContext`
      Parameters:
        `key` -
        `contextObject` -
      See Also:
        `ELContext.putContext(java.lang.Class, java.lang.Object)`

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                          java.lang.Object value)

      Specified by:
        `setAttribute` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `name` -
        `value` -
      See Also:
        `FaceletContext.setAttribute(java.lang.String, java.lang.Object)`

    - #### setFunctionMapper

          public void setFunctionMapper(javax.el.FunctionMapper fnMapper)

      Specified by:
        `setFunctionMapper` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `fnMapper` -
      See Also:
        `FaceletContext.setFunctionMapper(javax.el.FunctionMapper)`

    - #### setLocale

          public void setLocale(java.util.Locale locale)

      Overrides:
        `setLocale` in class `javax.el.ELContext`
      Parameters:
        `locale` -
      See Also:
        `ELContext.setLocale(java.util.Locale)`

    - #### setPropertyResolved

          public void setPropertyResolved(boolean resolved)

      Overrides:
        `setPropertyResolved` in class `javax.el.ELContext`
      Parameters:
        `resolved` -
      See Also:
        `ELContext.setPropertyResolved(boolean)`

    - #### setVariableMapper

          public void setVariableMapper(javax.el.VariableMapper varMapper)

      Specified by:
        `setVariableMapper` in class `com.sun.facelets.FaceletContext`
      Parameters:
        `varMapper` -
      See Also:
        `FaceletContext.setVariableMapper(javax.el.VariableMapper)`

Copyright © 2014. All Rights Reserved.